# GET /api/v1/delayed-charges

> List delayed charges

- **Tag:** delayed-charges
- **Operation ID:** `list_delayed_charges_api_v1_delayed_charges_get`

## Description

List all delayed charges for the business with optional filtering.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Parameters

- `search` (query, string, optional) — Search delayed charges by description
- `customer_id` (query, string, optional) — Filter by customer ID
- `status` (query, DelayedChargeStatusEnum, optional) — Filter by status
- `type` (query, DelayedChargeTypeEnum, optional) — Filter by type
- `cursor` (query, string, optional) — Pagination cursor
- `limit` (query, integer, optional) — Page size

## Responses

### 200 — Successful Response

Schema: `DelayedChargesListResponse`

- `items` (array · DelayedChargeResponse · required) → `DelayedChargeResponse` — List of items
  - `id` (string · required)
  - `business_id` (string · required)
  - `customer_id` (string · required)
  - `type` (string · required)
  - `status` (string · required)
  - `currency` (string · required)
  - `amount` (integer · required)
  - `amount_in_dollars` (string · required)
  - `description` (string · required)
  - `internal_notes` (string)
  - `line_items` (object)
  - `service_date` (string · date-time)
  - `invoiced_invoice_id` (string)
  - `invoiced_at` (string · date-time)
  - `created_at` (string · date-time · required)
  - `updated_at` (string · date-time · required)
  - `customer_name` (string)
  - `can_be_updated` (boolean)
  - `can_be_deleted` (boolean)
  - `can_be_invoiced` (boolean)
- `total` (integer) — Total number of items (null when not calculated for performance)
- `limit` (integer) — Pagination limit
- `next_cursor` (string) — Cursor for next page
- `prev_cursor` (string) — Cursor for previous page
- `has_next` (boolean · required) — Whether there are more items
- `has_prev` (boolean · required) — Whether there are previous items

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X GET 'https://api.ondayzero.com/api/v1/delayed-charges' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/delayed-charges', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
  },
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

response = httpx.get("https://api.ondayzero.com/api/v1/delayed-charges", headers=headers)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/delayed-charges/list-delayed-charges
- OpenAPI slice: https://www.ondayzero.com/docs/reference/delayed-charges/list-delayed-charges/openapi.json
- Other endpoints in **delayed-charges**: https://www.ondayzero.com/docs/reference/delayed-charges
